<?xml version="1.0" encoding="ASCII"?>

<!-- oks-schema version 2.0 -->


<!DOCTYPE oks-schema [
  <!ELEMENT oks-schema (info, (include)?, (comments)?, (class)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "schema"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT class (superclass | attribute | relationship | method)*>
  <!ATTLIST class
      name CDATA #REQUIRED
      description CDATA ""
      is-abstract (yes|no) "no"
  >
  <!ELEMENT superclass EMPTY>
  <!ATTLIST superclass name CDATA #REQUIRED>
  <!ELEMENT attribute EMPTY>
  <!ATTLIST attribute
      name CDATA #REQUIRED
      description CDATA ""
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class) #REQUIRED
      range CDATA ""
      format (dec|hex|oct) "dec"
      is-multi-value (yes|no) "no"
      multi-value-implementation (list|vector) "list"
      init-value CDATA ""
      is-not-null (yes|no) "no"
  >
  <!ELEMENT relationship EMPTY>
  <!ATTLIST relationship
      name CDATA #REQUIRED
      description CDATA ""
      class-type CDATA #REQUIRED
      low-cc (zero|one) #REQUIRED
      high-cc (one|many) #REQUIRED
      is-composite (yes|no) #REQUIRED
      is-exclusive (yes|no) #REQUIRED
      is-dependent (yes|no) #REQUIRED
      multi-value-implementation (list|vector) "list"
  >
  <!ELEMENT method (method-implementation*)>
  <!ATTLIST method
      name CDATA #REQUIRED
      description CDATA ""
  >
  <!ELEMENT method-implementation EMPTY>
  <!ATTLIST method-implementation
      language CDATA #REQUIRED
      prototype CDATA #REQUIRED
      body CDATA ""
  >
]>

<oks-schema>

<info name="" type="" num-of-items="1" oks-format="schema" oks-version="oks-06-07-01 built &quot;Jun 19 2014&quot;" created-by="anegri" created-on="pcatd52" creation-time="20030423T161249" last-modified-by="anegri" last-modified-on="lxplus0162.cern.ch" last-modification-time="20140728T085259"/>

<include>
 <file path="is/is.xml"/>
</include>

 <class name="FTK_RCD_FLIC_1">
  <superclass name="Info"/>
  <attribute name="Pipeline0" description="Reading FIFO status of pipeline 0" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="SSB_XOFF" description="Count of XOFFs sent to SSB on pipeline 0" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="SFP_FIFO" description="(Source of XOFF to SSB)Count of how often this FIFO asked for flow control on each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="CCMUX_FIFO" description="(Source of XOFF to SSB)Count of how often this FIFO asked for flow control on each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="SRAM_FIFO" description="(Source of XOFF to SSB)Count of how often this FIFO asked for flow control on each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MERGE_FIFO" description="(Source of XOFF to SSB)Count of how often this FIFO asked for flow control on each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="RTM_FIFO" description="(Source of XOFF to SSB)Count of how often this FIFO asked for flow control on each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="GLOBAL_STATUS" description="Global status word for each pipeline" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="Not_In_Sync" description="SSB-FLIC Sync status" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="SLink_Down" description="SLink went down after the last event processed" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="XOFF_ROS" description="XOFF from ROS" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="RAW_SLINK_STATUS" description="Status of links to Robin(NP)" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="CURRENT_L1ID" description="Last L1ID seen on channel 0" type="u32" init-value="0"/>
  <attribute name="SFP_FIFO_FULL_ERROR_COUNT" description="Increments when SFP FIFO goes full" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="NOT_IN_SYNC_COUNT" description="Increments when CoreCrateRcvr goes out of sync" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="HEADER_ERROR_COUNT" description="Increments when CoreCrateRcvr detects header error" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="TRACK_ERROR_COUNT" description="Increments when CoreCrateRcvr detects track error" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="TRAILER_ERROR_COUNT" description="Increments when CoreCrateRcvr detects trailer error" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="TRUNCATION_ERROR_COUNT" description="Increments when CoreCrateRcvr truncates event" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="CCMUX_FIFO_EVENT_END_COUNT" description="Increments when CoreCrateRcvr finishes processing an event" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="SRAM_FIFO_EVENT_READ_COUNT" description="(Number of tracks processed)Increments when SRAM FIFO is read by merge process" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MERGE_FIFO_EVENT_READ_COUNT" description="Increments when event merge data is read by SLINK_PRIMITIVE process" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="RTM_FIFO_EVENT_END_COUNT" description="Increments when event is sent to Hola Core logic by SLINK_PRIMITIVE" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="U3_TAGGED_EVENT_FIFO_COUNT" description="Increments when event is sent to U3" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="U4_TAGGED_EVENT_FIFO_COUNT" description="Increments when event is sent to U4" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="FLIC_FLOW_CTL" description="Flow control triggered by the FLIC" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="L1_ID_MATCH_U3_COUNT" description="Increments when pipeline detects L1 ID match to send to U3" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="L1_ID_MATCH_U4_COUNT" description="Increments when pipeline detects L1 ID match to send to U4" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="L1_SKIP_ERRORs" description="Increments whenever an L1ID is skipped" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MonCCMUX" description="First 10 words from CCMUX monitoring FIFO" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MonSRAM" description="First 10 words from SRAM monitoring FIFO" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MonMERGE" description="First 10 words from MERGER monitoring FIFO" type="u16" init-value="0" is-multi-value="yes"/>
  <attribute name="MonRTM" description="First 10 words from RTM monitoring FIFO" type="u16" init-value="0" is-multi-value="yes"/>
</class>

</oks-schema>
